Name:           clamz
Version:        0.2
Release:        7%{?dist}
Summary:        Amazon Downloader
Group:          Applications/Internet
License:        GPLv3+
URL:            http://clamz.googlecode.com/
Source0:        http://clamz.googlecode.com/files/%{name}-%{version}.tar.gz
Source1:        %{name}.desktop
Source2:        %{name}.xml
Patch0:         clamz-output-dir.patch
Patch1:         clamz-init-gcrypt.patch
Patch2:         clamz-allow-creating-absolute-paths.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libcurl-devel, libgcrypt-devel, expat-devel
BuildRequires:  /usr/bin/desktop-file-install
Requires(post):   /usr/bin/update-mime-database, /usr/bin/update-desktop-database
Requires(postun): /usr/bin/update-mime-database, /usr/bin/update-desktop-database

%description
Clamz is a little command-line program to download MP3 files from
Amazon.com's music store.  It is intended to serve as a substitute
for Amazon's official MP3 Downloader, which is not free software (and
therefore is only available in binary form for a limited set of
platforms.)  Clamz can be used to download either individual songs or
complete albums that you have purchased from Amazon.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

install -d %{buildroot}%{_datadir}/applications
desktop-file-install --dir %{buildroot}%{_datadir}/applications %{SOURCE1}

install -d %{buildroot}%{_datadir}/mime/packages
install -m 0644 %{SOURCE2} %{buildroot}%{_datadir}/mime/packages/%{name}.xml

%post
update-mime-database %{_datadir}/mime &> /dev/null || :
update-desktop-database &> /dev/null || :

%postun
update-mime-database %{_datadir}/mime &> /dev/null || :
update-desktop-database &> /dev/null || :

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README COPYING
%{_bindir}/%{name}
%{_mandir}/*/%{name}*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml

%changelog
* Wed Nov 26 2008 Jim Radford <radford@blackbean.org> 0.2-6
- Initial package (#473184).
